Loading...
Searching...
No Matches
casacore::StManColumn Class Reference
tables package (libcasa_tables) » DataMan_module » DataMan_module_internal_classes

More...

`#include <StManColumn.h>`

## Public Member Functions

| StManColumn (int dataType)
| Default constructor.
virtual | ~StManColumn ()
| StManColumn (const StManColumn &)=delete
| The object cannot be copied.
StManColumn & | operator= (const StManColumn &)=delete
| The object cannot be assigned to.
virtual void | setShape (rownr_t rownr, const IPosition &shape)
| Set the shape of an (variable-shaped) array in the given row.
virtual void | setShape (uInt rownr, const IPosition &shape)
virtual void | setShapeTiled (rownr_t rownr, const IPosition &shape, const IPosition &tileShape)
| Set the shape and tile shape of an (variable-shaped) array in the given row.
virtual void | setShapeTiled (uInt rownr, const IPosition &shape, const IPosition &tileShape)
virtual Bool | isShapeDefined (rownr_t rownr)
| Is the value shape defined in the given row?
virtual Bool | isShapeDefined (uInt rownr)
virtual uInt | ndim (rownr_t rownr)
| Get the dimensionality of the item in the given row.
virtual uInt | ndim (uInt rownr)
virtual IPosition | shape (rownr_t rownr)
| Get the shape of the item in the given row.
virtual IPosition | shape (uInt rownr)
virtual IPosition | tileShape (rownr_t rownr)
| Get the tile shape of the item in the given row.
virtual IPosition | tileShape (uInt rownr)
virtual void | getBool (rownr_t rownr, Bool *dataPtr)
| Get the scalar value in the given row.
virtual void | getuChar (rownr_t rownr, uChar *dataPtr)
virtual void | getShort (rownr_t rownr, Short *dataPtr)
virtual void | getuShort (rownr_t rownr, uShort *dataPtr)
virtual void | getInt (rownr_t rownr, Int *dataPtr)
virtual void | getuInt (rownr_t rownr, uInt *dataPtr)
virtual void | getfloat (rownr_t rownr, float *dataPtr)
virtual void | getdouble (rownr_t rownr, double *dataPtr)
virtual void | getComplex (rownr_t rownr, Complex *dataPtr)
virtual void | getDComplex (rownr_t rownr, DComplex *dataPtr)
virtual void | getString (rownr_t rownr, String *dataPtr)
virtual void | putBool (rownr_t rownr, const Bool *dataPtr)
| Put the scalar value in the given row.
virtual void | putuChar (rownr_t rownr, const uChar *dataPtr)
virtual void | putShort (rownr_t rownr, const Short *dataPtr)
virtual void | putuShort (rownr_t rownr, const uShort *dataPtr)
virtual void | putInt (rownr_t rownr, const Int *dataPtr)
virtual void | putuInt (rownr_t rownr, const uInt *dataPtr)
virtual void | putfloat (rownr_t rownr, const float *dataPtr)
virtual void | putdouble (rownr_t rownr, const double *dataPtr)
virtual void | putComplex (rownr_t rownr, const Complex *dataPtr)
virtual void | putDComplex (rownr_t rownr, const DComplex *dataPtr)
virtual void | putString (rownr_t rownr, const String *dataPtr)
virtual void | getScalarColumnV (ArrayBase &dataPtr)
| Get all scalar values in the column.
virtual void | putScalarColumnV (const ArrayBase &dataPtr)
| Put all scalar values in the column.
virtual void | getScalarColumnCellsV (const RefRows &rownrs, ArrayBase &dataPtr)
| Get some scalar values in the column.
virtual void | putScalarColumnCellsV (const RefRows &rownrs, const ArrayBase &dataPtr)
| Put some scalar values in the column.
virtual void | getArrayV (rownr_t rownr, ArrayBase &dataPtr)
| Get the array value in the given row.
virtual void | putArrayV (rownr_t rownr, const ArrayBase &dataPtr)
| Put the array value into the given row.
virtual void | getArrayColumnV (ArrayBase &dataPtr)
| Get all array values in the column.
virtual void | putArrayColumnV (const ArrayBase &dataPtr)
| Put all array values in the column.
virtual void | getArrayColumnCellsV (const RefRows &rownrs, ArrayBase &dataPtr)
| Get some array values in the column.
virtual void | putArrayColumnCellsV (const RefRows &rownrs, const ArrayBase &dataPtr)
| Put some array values in the column.
virtual void | getSliceV (rownr_t rownr, const Slicer &slicer, ArrayBase &dataPtr)
| Get a section of the array in the given row.
virtual void | putSliceV (rownr_t rownr, const Slicer &slicer, const ArrayBase &dataPtr)
| Put into a section of the array in the given row.
virtual void | getColumnSliceV (const Slicer &slicer, ArrayBase &dataPtr)
| Get a section of all arrays in the column.
virtual void | putColumnSliceV (const Slicer &slicer, const ArrayBase &dataPtr)
| Put into a section of all arrays in the column.
virtual void | getColumnSliceCellsV (const RefRows &rownrs, const Slicer &slicer, ArrayBase &dataPtr)
| Get a section of some arrays in the column.
virtual void | putColumnSliceCellsV (const RefRows &rownrs, const Slicer &slicer, const ArrayBase &dataPtr)
| Put into a section of some arrays in the column.
Public Member Functions inherited from casacore::StManColumnBase
| StManColumnBase (int dataType)
| Default constructor.
| ~StManColumnBase ()
| StManColumnBase (const StManColumnBase &)=delete
| The object cannot be copied.
StManColumnBase & | operator= (const StManColumnBase &)=delete
| The object cannot be assigned to.
virtual int | dataType () const
| Return the data type of the column.
DataType | dtype () const
Int | elemSize () const
| Return the size of an element of the column's data type.
Public Member Functions inherited from casacore::DataManagerColumn
| DataManagerColumn ()
| Create a column.
virtual | ~DataManagerColumn ()
| Frees up the storage.
| DataManagerColumn (const DataManagerColumn &)=delete
| The copy constructor cannot be used for this base class.
DataManagerColumn & | operator= (const DataManagerColumn &)=delete
| Assignment cannot be used for this base class.
void | setIsFixedShape (Bool isFixedShape)
| Set the isFixedShape flag.
Bool | isFixedShape () const
| Is this a fixed shape column?
virtual String | dataTypeId () const
| Get the data type id of the column for dataType==TpOther.
virtual Bool | isWritable () const
| Test if data can be put into this column.
virtual void | setMaxLength (uInt maxLength)
| Set the maximum length of the value (can be used for strings).
void | setFixedShapeColumn (const IPosition &shape)
| Set the shape of all (fixed-shaped) arrays in the column.
virtual Bool | canChangeShape () const
| Can the data manager handle chaging the shape of an existing array?
ColumnCache & | columnCache ()
| Get access to the ColumnCache object.
const ColumnCache * | columnCachePtr () const
void | get (rownr_t rownr, Bool *dataPtr)
| Get the scalar value in the given row.
void | get (rownr_t rownr, uChar *dataPtr)
void | get (rownr_t rownr, Short *dataPtr)
void | get (rownr_t rownr, uShort *dataPtr)
void | get (rownr_t rownr, Int *dataPtr)
void | get (rownr_t rownr, uInt *dataPtr)
void | get (rownr_t rownr, Int64 *dataPtr)
void | get (rownr_t rownr, float *dataPtr)
void | get (rownr_t rownr, double *dataPtr)
void | get (rownr_t rownr, Complex *dataPtr)
void | get (rownr_t rownr, DComplex *dataPtr)
void | get (rownr_t rownr, String *dataPtr)
void | get (rownr_t rownr, void *dataPtr)
| This function is the get for all non-standard data types.
void | put (rownr_t rownr, const Bool *dataPtr)
| Put the scalar value into the given row.
void | put (rownr_t rownr, const uChar *dataPtr)
void | put (rownr_t rownr, const Short *dataPtr)
void | put (rownr_t rownr, const uShort *dataPtr)
void | put (rownr_t rownr, const Int *dataPtr)
void | put (rownr_t rownr, const uInt *dataPtr)
void | put (rownr_t rownr, const Int64 *dataPtr)
void | put (rownr_t rownr, const float *dataPtr)
void | put (rownr_t rownr, const double *dataPtr)
void | put (rownr_t rownr, const Complex *dataPtr)
void | put (rownr_t rownr, const DComplex *dataPtr)
void | put (rownr_t rownr, const String *dataPtr)
void | put (rownr_t rownr, const void *dataPtr)
| This function is the put for all non-standard data types.
void | throwGet () const
| Throw an "invalid operation" exception for the default implementation of get.
void | throwPut () const
| Throw an "invalid operation" exception for the default implementation of put.
void | setColumnName (const String &colName)
| Set the column name.
const String & | columnName () const
| Get rhe column name.

## Protected Member Functions

virtual void | getBoolV (uInt rownr, Bool *dataPtr)
| Get the scalar value in the given row.
virtual void | getuCharV (uInt rownr, uChar *dataPtr)
virtual void | getShortV (uInt rownr, Short *dataPtr)
virtual void | getuShortV (uInt rownr, uShort *dataPtr)
virtual void | getIntV (uInt rownr, Int *dataPtr)
virtual void | getuIntV (uInt rownr, uInt *dataPtr)
virtual void | getfloatV (uInt rownr, float *dataPtr)
virtual void | getdoubleV (uInt rownr, double *dataPtr)
virtual void | getComplexV (uInt rownr, Complex *dataPtr)
virtual void | getDComplexV (uInt rownr, DComplex *dataPtr)
virtual void | getStringV (uInt rownr, String *dataPtr)
virtual void | putBoolV (uInt rownr, const Bool *dataPtr)
| Put the scalar value in the given row.
virtual void | putuCharV (uInt rownr, const uChar *dataPtr)
virtual void | putShortV (uInt rownr, const Short *dataPtr)
virtual void | putuShortV (uInt rownr, const uShort *dataPtr)
virtual void | putIntV (uInt rownr, const Int *dataPtr)
virtual void | putuIntV (uInt rownr, const uInt *dataPtr)
virtual void | putfloatV (uInt rownr, const float *dataPtr)
virtual void | putdoubleV (uInt rownr, const double *dataPtr)
virtual void | putComplexV (uInt rownr, const Complex *dataPtr)
virtual void | putDComplexV (uInt rownr, const DComplex *dataPtr)
virtual void | putStringV (uInt rownr, const String *dataPtr)
virtual void | getScalarColumnBoolV (Vector< Bool > *dataPtr)
| Get the scalar values in the entire column.
virtual void | getScalarColumnuCharV (Vector< uChar > *dataPtr)
virtual void | getScalarColumnShortV (Vector< Short > *dataPtr)
virtual void | getScalarColumnuShortV (Vector< uShort > *dataPtr)
virtual void | getScalarColumnIntV (Vector< Int > *dataPtr)
virtual void | getScalarColumnuIntV (Vector< uInt > *dataPtr)
virtual void | getScalarColumnInt64V (Vector< Int64 > *dataPtr)
virtual void | getScalarColumnfloatV (Vector< float > *dataPtr)
virtual void | getScalarColumndoubleV (Vector< double > *dataPtr)
virtual void | getScalarColumnComplexV (Vector< Complex > *dataPtr)
virtual void | getScalarColumnDComplexV (Vector< DComplex > *dataPtr)
virtual void | getScalarColumnStringV (Vector< String > *dataPtr)
virtual void | putScalarColumnBoolV (const Vector< Bool > *dataPtr)
| Put the scalar values into the entire column.
virtual void | putScalarColumnuCharV (const Vector< uChar > *dataPtr)
virtual void | putScalarColumnShortV (const Vector< Short > *dataPtr)
virtual void | putScalarColumnuShortV (const Vector< uShort > *dataPtr)
virtual void | putScalarColumnIntV (const Vector< Int > *dataPtr)
virtual void | putScalarColumnuIntV (const Vector< uInt > *dataPtr)
virtual void | putScalarColumnInt64V (const Vector< Int64 > *dataPtr)
virtual void | putScalarColumnfloatV (const Vector< float > *dataPtr)
virtual void | putScalarColumndoubleV (const Vector< double > *dataPtr)
virtual void | putScalarColumnComplexV (const Vector< Complex > *dataPtr)
virtual void | putScalarColumnDComplexV (const Vector< DComplex > *dataPtr)
virtual void | putScalarColumnStringV (const Vector< String > *dataPtr)
virtual void | getScalarColumnCellsBoolV (const RefRows &rownrs, Vector< Bool > *dataPtr)
| Get the scalar values in some cells of the column.
virtual void | getScalarColumnCellsuCharV (const RefRows &rownrs, Vector< uChar > *dataPtr)
virtual void | getScalarColumnCellsShortV (const RefRows &rownrs, Vector< Short > *dataPtr)
virtual void | getScalarColumnCellsuShortV (const RefRows &rownrs, Vector< uShort > *dataPtr)
virtual void | getScalarColumnCellsIntV (const RefRows &rownrs, Vector< Int > *dataPtr)
virtual void | getScalarColumnCellsuIntV (const RefRows &rownrs, Vector< uInt > *dataPtr)
virtual void | getScalarColumnCellsInt64V (const RefRows &rownrs, Vector< Int64 > *dataPtr)
virtual void | getScalarColumnCellsfloatV (const RefRows &rownrs, Vector< float > *dataPtr)
virtual void | getScalarColumnCellsdoubleV (const RefRows &rownrs, Vector< double > *dataPtr)
virtual void | getScalarColumnCellsComplexV (const RefRows &rownrs, Vector< Complex > *dataPtr)
virtual void | getScalarColumnCellsDComplexV (const RefRows &rownrs, Vector< DComplex > *dataPtr)
virtual void | getScalarColumnCellsStringV (const RefRows &rownrs, Vector< String > *dataPtr)
virtual void | putScalarColumnCellsBoolV (const RefRows &rownrs, const Vector< Bool > *dataPtr)
| Put the scalar values into some cells of the column.
virtual void | putScalarColumnCellsuCharV (const RefRows &rownrs, const Vector< uChar > *dataPtr)
virtual void | putScalarColumnCellsShortV (const RefRows &rownrs, const Vector< Short > *dataPtr)
virtual void | putScalarColumnCellsuShortV (const RefRows &rownrs, const Vector< uShort > *dataPtr)
virtual void | putScalarColumnCellsIntV (const RefRows &rownrs, const Vector< Int > *dataPtr)
virtual void | putScalarColumnCellsuIntV (const RefRows &rownrs, const Vector< uInt > *dataPtr)
virtual void | putScalarColumnCellsInt64V (const RefRows &rownrs, const Vector< Int64 > *dataPtr)
virtual void | putScalarColumnCellsfloatV (const RefRows &rownrs, const Vector< float > *dataPtr)
virtual void | putScalarColumnCellsdoubleV (const RefRows &rownrs, const Vector< double > *dataPtr)
virtual void | putScalarColumnCellsComplexV (const RefRows &rownrs, const Vector< Complex > *dataPtr)
virtual void | putScalarColumnCellsDComplexV (const RefRows &rownrs, const Vector< DComplex > *dataPtr)
virtual void | putScalarColumnCellsStringV (const RefRows &rownrs, const Vector< String > *dataPtr)
virtual void | getArrayBoolV (uInt rownr, Array< Bool > *dataPtr)
| Get the array value in the given row.
virtual void | getArrayuCharV (uInt rownr, Array< uChar > *dataPtr)
virtual void | getArrayShortV (uInt rownr, Array< Short > *dataPtr)
virtual void | getArrayuShortV (uInt rownr, Array< uShort > *dataPtr)
virtual void | getArrayIntV (uInt rownr, Array< Int > *dataPtr)
virtual void | getArrayuIntV (uInt rownr, Array< uInt > *dataPtr)
virtual void | getArrayInt64V (uInt rownr, Array< Int64 > *dataPtr)
virtual void | getArrayfloatV (uInt rownr, Array< float > *dataPtr)
virtual void | getArraydoubleV (uInt rownr, Array< double > *dataPtr)
virtual void | getArrayComplexV (uInt rownr, Array< Complex > *dataPtr)
virtual void | getArrayDComplexV (uInt rownr, Array< DComplex > *dataPtr)
virtual void | getArrayStringV (uInt rownr, Array< String > *dataPtr)
virtual void | putArrayBoolV (uInt rownr, const Array< Bool > *dataPtr)
| Put the array value into the given row.
virtual void | putArrayuCharV (uInt rownr, const Array< uChar > *dataPtr)
virtual void | putArrayShortV (uInt rownr, const Array< Short > *dataPtr)
virtual void | putArrayuShortV (uInt rownr, const Array< uShort > *dataPtr)
virtual void | putArrayIntV (uInt rownr, const Array< Int > *dataPtr)
virtual void | putArrayuIntV (uInt rownr, const Array< uInt > *dataPtr)
virtual void | putArrayInt64V (uInt rownr, const Array< Int64 > *dataPtr)
virtual void | putArrayfloatV (uInt rownr, const Array< float > *dataPtr)
virtual void | putArraydoubleV (uInt rownr, const Array< double > *dataPtr)
virtual void | putArrayComplexV (uInt rownr, const Array< Complex > *dataPtr)
virtual void | putArrayDComplexV (uInt rownr, const Array< DComplex > *dataPtr)
virtual void | putArrayStringV (uInt rownr, const Array< String > *dataPtr)
virtual void | getArrayColumnBoolV (Array< Bool > *dataPtr)
| Get the array values in the entire column.
virtual void | getArrayColumnuCharV (Array< uChar > *dataPtr)
virtual void | getArrayColumnShortV (Array< Short > *dataPtr)
virtual void | getArrayColumnuShortV (Array< uShort > *dataPtr)
virtual void | getArrayColumnIntV (Array< Int > *dataPtr)
virtual void | getArrayColumnuIntV (Array< uInt > *dataPtr)
virtual void | getArrayColumnInt64V (Array< Int64 > *dataPtr)
virtual void | getArrayColumnfloatV (Array< float > *dataPtr)
virtual void | getArrayColumndoubleV (Array< double > *dataPtr)
virtual void | getArrayColumnComplexV (Array< Complex > *dataPtr)
virtual void | getArrayColumnDComplexV (Array< DComplex > *dataPtr)
virtual void | getArrayColumnStringV (Array< String > *dataPtr)
virtual void | putArrayColumnBoolV (const Array< Bool > *dataPtr)
| Put the array values into the entire column.
virtual void | putArrayColumnuCharV (const Array< uChar > *dataPtr)
virtual void | putArrayColumnShortV (const Array< Short > *dataPtr)
virtual void | putArrayColumnuShortV (const Array< uShort > *dataPtr)
virtual void | putArrayColumnIntV (const Array< Int > *dataPtr)
virtual void | putArrayColumnuIntV (const Array< uInt > *dataPtr)
virtual void | putArrayColumnInt64V (const Array< Int64 > *dataPtr)
virtual void | putArrayColumnfloatV (const Array< float > *dataPtr)
virtual void | putArrayColumndoubleV (const Array< double > *dataPtr)
virtual void | putArrayColumnComplexV (const Array< Complex > *dataPtr)
virtual void | putArrayColumnDComplexV (const Array< DComplex > *dataPtr)
virtual void | putArrayColumnStringV (const Array< String > *dataPtr)
virtual void | getArrayColumnCellsBoolV (const RefRows &rownrs, Array< Bool > *dataPtr)
| Get the array values in some cells of the column.
virtual void | getArrayColumnCellsuCharV (const RefRows &rownrs, Array< uChar > *dataPtr)
virtual void | getArrayColumnCellsShortV (const RefRows &rownrs, Array< Short > *dataPtr)
virtual void | getArrayColumnCellsuShortV (const RefRows &rownrs, Array< uShort > *dataPtr)
virtual void | getArrayColumnCellsIntV (const RefRows &rownrs, Array< Int > *dataPtr)
virtual void | getArrayColumnCellsuIntV (const RefRows &rownrs, Array< uInt > *dataPtr)
virtual void | getArrayColumnCellsInt64V (const RefRows &rownrs, Array< Int64 > *dataPtr)
virtual void | getArrayColumnCellsfloatV (const RefRows &rownrs, Array< float > *dataPtr)
virtual void | getArrayColumnCellsdoubleV (const RefRows &rownrs, Array< double > *dataPtr)
virtual void | getArrayColumnCellsComplexV (const RefRows &rownrs, Array< Complex > *dataPtr)
virtual void | getArrayColumnCellsDComplexV (const RefRows &rownrs, Array< DComplex > *dataPtr)
virtual void | getArrayColumnCellsStringV (const RefRows &rownrs, Array< String > *dataPtr)
virtual void | putArrayColumnCellsBoolV (const RefRows &rownrs, const Array< Bool > *dataPtr)
| Put the array values into some cells of the column.
virtual void | putArrayColumnCellsuCharV (const RefRows &rownrs, const Array< uChar > *dataPtr)
virtual void | putArrayColumnCellsShortV (const RefRows &rownrs, const Array< Short > *dataPtr)
virtual void | putArrayColumnCellsuShortV (const RefRows &rownrs, const Array< uShort > *dataPtr)
virtual void | putArrayColumnCellsIntV (const RefRows &rownrs, const Array< Int > *dataPtr)
virtual void | putArrayColumnCellsuIntV (const RefRows &rownrs, const Array< uInt > *dataPtr)
virtual void | putArrayColumnCellsInt64V (const RefRows &rownrs, const Array< Int64 > *dataPtr)
virtual void | putArrayColumnCellsfloatV (const RefRows &rownrs, const Array< float > *dataPtr)
virtual void | putArrayColumnCellsdoubleV (const RefRows &rownrs, const Array< double > *dataPtr)
virtual void | putArrayColumnCellsComplexV (const RefRows &rownrs, const Array< Complex > *dataPtr)
virtual void | putArrayColumnCellsDComplexV (const RefRows &rownrs, const Array< DComplex > *dataPtr)
virtual void | putArrayColumnCellsStringV (const RefRows &rownrs, const Array< String > *dataPtr)
virtual void | getSliceBoolV (uInt rownr, const Slicer &ns, Array< Bool > *dataPtr)
| Get the array value in the given row.
virtual void | getSliceuCharV (uInt rownr, const Slicer &ns, Array< uChar > *dataPtr)
virtual void | getSliceShortV (uInt rownr, const Slicer &ns, Array< Short > *dataPtr)
virtual void | getSliceuShortV (uInt rownr, const Slicer &ns, Array< uShort > *dataPtr)
virtual void | getSliceIntV (uInt rownr, const Slicer &ns, Array< Int > *dataPtr)
virtual void | getSliceuIntV (uInt rownr, const Slicer &ns, Array< uInt > *dataPtr)
virtual void | getSliceInt64V (uInt rownr, const Slicer &ns, Array< Int64 > *dataPtr)
virtual void | getSlicefloatV (uInt rownr, const Slicer &ns, Array< float > *dataPtr)
virtual void | getSlicedoubleV (uInt rownr, const Slicer &ns, Array< double > *dataPtr)
virtual void | getSliceComplexV (uInt rownr, const Slicer &ns, Array< Complex > *dataPtr)
virtual void | getSliceDComplexV (uInt rownr, const Slicer &ns, Array< DComplex > *dataPtr)
virtual void | getSliceStringV (uInt rownr, const Slicer &ns, Array< String > *dataPtr)
virtual void | putSliceBoolV (uInt rownr, const Slicer &ns, const Array< Bool > *dataPtr)
| Put the array value into the given row.
virtual void | putSliceuCharV (uInt rownr, const Slicer &ns, const Array< uChar > *dataPtr)
virtual void | putSliceShortV (uInt rownr, const Slicer &ns, const Array< Short > *dataPtr)
virtual void | putSliceuShortV (uInt rownr, const Slicer &ns, const Array< uShort > *dataPtr)
virtual void | putSliceIntV (uInt rownr, const Slicer &ns, const Array< Int > *dataPtr)
virtual void | putSliceuIntV (uInt rownr, const Slicer &ns, const Array< uInt > *dataPtr)
virtual void | putSliceInt64V (uInt rownr, const Slicer &ns, const Array< Int64 > *dataPtr)
virtual void | putSlicefloatV (uInt rownr, const Slicer &ns, const Array< float > *dataPtr)
virtual void | putSlicedoubleV (uInt rownr, const Slicer &ns, const Array< double > *dataPtr)
virtual void | putSliceComplexV (uInt rownr, const Slicer &ns, const Array< Complex > *dataPtr)
virtual void | putSliceDComplexV (uInt rownr, const Slicer &ns, const Array< DComplex > *dataPtr)
virtual void | putSliceStringV (uInt rownr, const Slicer &ns, const Array< String > *dataPtr)
virtual void | getColumnSliceBoolV (const Slicer &ns, Array< Bool > *dataPtr)
| Get the array values in the entire column.
virtual void | getColumnSliceuCharV (const Slicer &ns, Array< uChar > *dataPtr)
virtual void | getColumnSliceShortV (const Slicer &ns, Array< Short > *dataPtr)
virtual void | getColumnSliceuShortV (const Slicer &ns, Array< uShort > *dataPtr)
virtual void | getColumnSliceIntV (const Slicer &ns, Array< Int > *dataPtr)
virtual void | getColumnSliceuIntV (const Slicer &ns, Array< uInt > *dataPtr)
virtual void | getColumnSliceInt64V (const Slicer &ns, Array< Int64 > *dataPtr)
virtual void | getColumnSlicefloatV (const Slicer &ns, Array< float > *dataPtr)
virtual void | getColumnSlicedoubleV (const Slicer &ns, Array< double > *dataPtr)
virtual void | getColumnSliceComplexV (const Slicer &ns, Array< Complex > *dataPtr)
virtual void | getColumnSliceDComplexV (const Slicer &ns, Array< DComplex > *dataPtr)
virtual void | getColumnSliceStringV (const Slicer &ns, Array< String > *dataPtr)
virtual void | putColumnSliceBoolV (const Slicer &ns, const Array< Bool > *dataPtr)
| Put the array values into the entire column.
virtual void | putColumnSliceuCharV (const Slicer &ns, const Array< uChar > *dataPtr)
virtual void | putColumnSliceShortV (const Slicer &ns, const Array< Short > *dataPtr)
virtual void | putColumnSliceuShortV (const Slicer &ns, const Array< uShort > *dataPtr)
virtual void | putColumnSliceIntV (const Slicer &ns, const Array< Int > *dataPtr)
virtual void | putColumnSliceuIntV (const Slicer &ns, const Array< uInt > *dataPtr)
virtual void | putColumnSliceInt64V (const Slicer &ns, const Array< Int64 > *dataPtr)
virtual void | putColumnSlicefloatV (const Slicer &ns, const Array< float > *dataPtr)
virtual void | putColumnSlicedoubleV (const Slicer &ns, const Array< double > *dataPtr)
virtual void | putColumnSliceComplexV (const Slicer &ns, const Array< Complex > *dataPtr)
virtual void | putColumnSliceDComplexV (const Slicer &ns, const Array< DComplex > *dataPtr)
virtual void | putColumnSliceStringV (const Slicer &ns, const Array< String > *dataPtr)
virtual void | getColumnSliceCellsBoolV (const RefRows &rownrs, const Slicer &ns, Array< Bool > *dataPtr)
| Get the array values in some cells of the column.
virtual void | getColumnSliceCellsuCharV (const RefRows &rownrs, const Slicer &ns, Array< uChar > *dataPtr)
virtual void | getColumnSliceCellsShortV (const RefRows &rownrs, const Slicer &ns, Array< Short > *dataPtr)
virtual void | getColumnSliceCellsuShortV (const RefRows &rownrs, const Slicer &ns, Array< uShort > *dataPtr)
virtual void | getColumnSliceCellsIntV (const RefRows &rownrs, const Slicer &ns, Array< Int > *dataPtr)
virtual void | getColumnSliceCellsuIntV (const RefRows &rownrs, const Slicer &ns, Array< uInt > *dataPtr)
virtual void | getColumnSliceCellsInt64V (const RefRows &rownrs, const Slicer &ns, Array< Int64 > *dataPtr)
virtual void | getColumnSliceCellsfloatV (const RefRows &rownrs, const Slicer &ns, Array< float > *dataPtr)
virtual void | getColumnSliceCellsdoubleV (const RefRows &rownrs, const Slicer &ns, Array< double > *dataPtr)
virtual void | getColumnSliceCellsComplexV (const RefRows &rownrs, const Slicer &ns, Array< Complex > *dataPtr)
virtual void | getColumnSliceCellsDComplexV (const RefRows &rownrs, const Slicer &ns, Array< DComplex > *dataPtr)
virtual void | getColumnSliceCellsStringV (const RefRows &rownrs, const Slicer &ns, Array< String > *dataPtr)
virtual void | putColumnSliceCellsBoolV (const RefRows &rownrs, const Slicer &ns, const Array< Bool > *dataPtr)
| Put the array values into some cells of the column.
virtual void | putColumnSliceCellsuCharV (const RefRows &rownrs, const Slicer &ns, const Array< uChar > *dataPtr)
virtual void | putColumnSliceCellsShortV (const RefRows &rownrs, const Slicer &ns, const Array< Short > *dataPtr)
virtual void | putColumnSliceCellsuShortV (const RefRows &rownrs, const Slicer &ns, const Array< uShort > *dataPtr)
virtual void | putColumnSliceCellsIntV (const RefRows &rownrs, const Slicer &ns, const Array< Int > *dataPtr)
virtual void | putColumnSliceCellsuIntV (const RefRows &rownrs, const Slicer &ns, const Array< uInt > *dataPtr)
virtual void | putColumnSliceCellsInt64V (const RefRows &rownrs, const Slicer &ns, const Array< Int64 > *dataPtr)
virtual void | putColumnSliceCellsfloatV (const RefRows &rownrs, const Slicer &ns, const Array< float > *dataPtr)
virtual void | putColumnSliceCellsdoubleV (const RefRows &rownrs, const Slicer &ns, const Array< double > *dataPtr)
virtual void | putColumnSliceCellsComplexV (const RefRows &rownrs, const Slicer &ns, const Array< Complex > *dataPtr)
virtual void | putColumnSliceCellsDComplexV (const RefRows &rownrs, const Slicer &ns, const Array< DComplex > *dataPtr)
virtual void | putColumnSliceCellsStringV (const RefRows &rownrs, const Slicer &ns, const Array< String > *dataPtr)
Protected Member Functions inherited from casacore::DataManagerColumn
virtual void | getInt64 (rownr_t rownr, Int64 *dataPtr)
virtual void | getOther (rownr_t rownr, void *dataPtr)
| This function is the get for all non-standard data types.
virtual void | putInt64 (rownr_t rownr, const Int64 *dataPtr)
virtual void | putOther (rownr_t rownr, const void *dataPtr)
| This function is the put for all non-standard data types.
void | getScalarColumnBase (ArrayBase &dataPtr)
| The default implementations of get and put functions.
void | putScalarColumnBase (const ArrayBase &dataPtr)
void | getScalarColumnCellsBase (const RefRows &rownrs, ArrayBase &dataPtr)
void | putScalarColumnCellsBase (const RefRows &rownrs, const ArrayBase &dataPtr)
void | getArrayColumnBase (ArrayBase &data)
void | putArrayColumnBase (const ArrayBase &data)
void | getArrayColumnCellsBase (const RefRows &rownrs, ArrayBase &data)
void | putArrayColumnCellsBase (const RefRows &rownrs, const ArrayBase &data)
void | getSliceBase (rownr_t rownr, const Slicer &slicer, ArrayBase &data)
void | putSliceBase (rownr_t rownr, const Slicer &slicer, const ArrayBase &data)
void | getColumnSliceBase (const Slicer &slicer, ArrayBase &data)
void | putColumnSliceBase (const Slicer &slicer, const ArrayBase &data)
void | getColumnSliceCellsBase (const RefRows &rownrs, const Slicer &slicer, ArrayBase &data)
void | putColumnSliceCellsBase (const RefRows &rownrs, const Slicer &slicer, const ArrayBase &data)

## Private Member Functions

void | throwInvalidOp (const String &op) const
| Throw an "invalid operation" exception for the default implementation of getArray.

## Additional Inherited Members

Static Public Member Functions inherited from casacore::StManColumnBase
static Bool | isNativeDataType (int dtype)
| Test if the given data type is supported by storage managers.

## Detailed Description

Base table column storage manager class

### Intended use:

Internal

### Review Status

Reviewed By:
  Gareth Hunt
Date Reviewed:
  94Nov17

### Prerequisite

- DataManagerColumn

### Etymology

StManColumn handles a column for a storage manager.

### Synopsis

StManColumn is the old storage manager base class which has been replaced by StManColumnBase. However, the class still exists for backward compatibility for external storage managers (such as LofarStMan) that do not derive from StManColumnBase yet. It also maps the new get/put functions taking a rownr_t to the old functions taking a uInt rownr.

### Motivation

Provide backward compatibility for external storage managers.

Definition at line 73 of file StManColumn.h.

## Constructor & Destructor Documentation

## StManColumn() [1/2]

casacore::StManColumn::StManColumn | ( | int | dataType | ) |

inline

Default constructor.

Definition at line 78 of file StManColumn.h.

References casacore::StManColumnBase::dataType(), and casacore::StManColumnBase::StManColumnBase().

Referenced by casacore::AntennaPairStManColumn::AntennaPairStManColumn(), operator=(), casacore::SiscoStManColumn::SiscoStManColumn(), StManColumn(), casacore::StokesIStManColumn::StokesIStManColumn(), and casacore::UvwStManColumn::UvwStManColumn().

## ~StManColumn()

virtual casacore::StManColumn::~StManColumn | ( |  | ) |

virtual

## StManColumn() [2/2]

casacore::StManColumn::StManColumn | ( | const StManColumn & |  | ) |

delete

The object cannot be copied.

References StManColumn().

## Member Function Documentation

## getArrayBoolV()

virtual void casacore::StManColumn::getArrayBoolV | ( | uInt | rownr,
|  | Array< Bool > * | dataPtr )

protected virtual

Get the array value in the given row.

The array pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn get function). The default implementations throw an exception.

Reimplemented in casacore::StokesIStManColumn.

## getArrayColumnBoolV()

virtual void casacore::StManColumn::getArrayColumnBoolV | ( | Array< Bool > * | dataPtr | ) |

protected virtual

Get the array values in the entire column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn getColumn function). The default implementations call DataManagerColumn::getArrayColumnBase.

## getArrayColumnCellsBoolV()

virtual void casacore::StManColumn::getArrayColumnCellsBoolV | ( | const RefRows & | rownrs,
|  | Array< Bool > * | dataPtr )

protected virtual

Get the array values in some cells of the column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn getColumnCells function). The default implementations call DataManagerColumn::getArrayColumnCellsBase.

## getArrayColumnCellsComplexV()

virtual void casacore::StManColumn::getArrayColumnCellsComplexV | ( | const RefRows & | rownrs,
|  | Array< Complex > * | dataPtr )

protected virtual

## getArrayColumnCellsDComplexV()

virtual void casacore::StManColumn::getArrayColumnCellsDComplexV | ( | const RefRows & | rownrs,
|  | Array< DComplex > * | dataPtr )

protected virtual

## getArrayColumnCellsdoubleV()

virtual void casacore::StManColumn::getArrayColumnCellsdoubleV | ( | const RefRows & | rownrs,
|  | Array< double > * | dataPtr )

protected virtual

## getArrayColumnCellsfloatV()

virtual void casacore::StManColumn::getArrayColumnCellsfloatV | ( | const RefRows & | rownrs,
|  | Array< float > * | dataPtr )

protected virtual

## getArrayColumnCellsInt64V()

virtual void casacore::StManColumn::getArrayColumnCellsInt64V | ( | const RefRows & | rownrs,
|  | Array< Int64 > * | dataPtr )

protected virtual

## getArrayColumnCellsIntV()

virtual void casacore::StManColumn::getArrayColumnCellsIntV | ( | const RefRows & | rownrs,
|  | Array< Int > * | dataPtr )

protected virtual

## getArrayColumnCellsShortV()

virtual void casacore::StManColumn::getArrayColumnCellsShortV | ( | const RefRows & | rownrs,
|  | Array< Short > * | dataPtr )

protected virtual

## getArrayColumnCellsStringV()

virtual void casacore::StManColumn::getArrayColumnCellsStringV | ( | const RefRows & | rownrs,
|  | Array< String > * | dataPtr )

protected virtual

## getArrayColumnCellsuCharV()

virtual void casacore::StManColumn::getArrayColumnCellsuCharV | ( | const RefRows & | rownrs,
|  | Array< uChar > * | dataPtr )

protected virtual

## getArrayColumnCellsuIntV()

virtual void casacore::StManColumn::getArrayColumnCellsuIntV | ( | const RefRows & | rownrs,
|  | Array< uInt > * | dataPtr )

protected virtual

## getArrayColumnCellsuShortV()

virtual void casacore::StManColumn::getArrayColumnCellsuShortV | ( | const RefRows & | rownrs,
|  | Array< uShort > * | dataPtr )

protected virtual

## getArrayColumnCellsV()

virtual void casacore::StManColumn::getArrayColumnCellsV | ( | const RefRows & | rownrs,
|  | ArrayBase & | dataPtr )

virtual

Get some array values in the column.

The argument dataPtr is in fact an Array<T>&, but a ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn getColumn function). The default implementation calls the appropriate getArrayColumnCellsXXV.

Reimplemented from casacore::DataManagerColumn.

## getArrayColumnComplexV()

virtual void casacore::StManColumn::getArrayColumnComplexV | ( | Array< Complex > * | dataPtr | ) |

protected virtual

## getArrayColumnDComplexV()

virtual void casacore::StManColumn::getArrayColumnDComplexV | ( | Array< DComplex > * | dataPtr | ) |

protected virtual

## getArrayColumndoubleV()

virtual void casacore::StManColumn::getArrayColumndoubleV | ( | Array< double > * | dataPtr | ) |

protected virtual

## getArrayColumnfloatV()

virtual void casacore::StManColumn::getArrayColumnfloatV | ( | Array< float > * | dataPtr | ) |

protected virtual

## getArrayColumnInt64V()

virtual void casacore::StManColumn::getArrayColumnInt64V | ( | Array< Int64 > * | dataPtr | ) |

protected virtual

## getArrayColumnIntV()

virtual void casacore::StManColumn::getArrayColumnIntV | ( | Array< Int > * | dataPtr | ) |

protected virtual

## getArrayColumnShortV()

virtual void casacore::StManColumn::getArrayColumnShortV | ( | Array< Short > * | dataPtr | ) |

protected virtual

## getArrayColumnStringV()

virtual void casacore::StManColumn::getArrayColumnStringV | ( | Array< String > * | dataPtr | ) |

protected virtual

## getArrayColumnuCharV()

virtual void casacore::StManColumn::getArrayColumnuCharV | ( | Array< uChar > * | dataPtr | ) |

protected virtual

## getArrayColumnuIntV()

virtual void casacore::StManColumn::getArrayColumnuIntV | ( | Array< uInt > * | dataPtr | ) |

protected virtual

## getArrayColumnuShortV()

virtual void casacore::StManColumn::getArrayColumnuShortV | ( | Array< uShort > * | dataPtr | ) |

protected virtual

## getArrayColumnV()

virtual void casacore::StManColumn::getArrayColumnV | ( | ArrayBase & | dataPtr | ) |

virtual

Get all array values in the column.

The argument dataPtr is in fact an Array<T>&, but a ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn getColumn function). The default implementation calls the appropriate getArrayColumnXXV.

Reimplemented from casacore::DataManagerColumn.

## getArrayComplexV()

virtual void casacore::StManColumn::getArrayComplexV | ( | uInt | rownr,
|  | Array< Complex > * | dataPtr )

protected virtual

## getArrayDComplexV()

virtual void casacore::StManColumn::getArrayDComplexV | ( | uInt | rownr,
|  | Array< DComplex > * | dataPtr )

protected virtual

## getArraydoubleV()

virtual void casacore::StManColumn::getArraydoubleV | ( | uInt | rownr,
|  | Array< double > * | dataPtr )

protected virtual

## getArrayfloatV()

virtual void casacore::StManColumn::getArrayfloatV | ( | uInt | rownr,
|  | Array< float > * | dataPtr )

protected virtual

Reimplemented in casacore::StokesIStManColumn.

## getArrayInt64V()

virtual void casacore::StManColumn::getArrayInt64V | ( | uInt | rownr,
|  | Array< Int64 > * | dataPtr )

protected virtual

## getArrayIntV()

virtual void casacore::StManColumn::getArrayIntV | ( | uInt | rownr,
|  | Array< Int > * | dataPtr )

protected virtual

## getArrayShortV()

virtual void casacore::StManColumn::getArrayShortV | ( | uInt | rownr,
|  | Array< Short > * | dataPtr )

protected virtual

## getArrayStringV()

virtual void casacore::StManColumn::getArrayStringV | ( | uInt | rownr,
|  | Array< String > * | dataPtr )

protected virtual

## getArrayuCharV()

virtual void casacore::StManColumn::getArrayuCharV | ( | uInt | rownr,
|  | Array< uChar > * | dataPtr )

protected virtual

## getArrayuIntV()

virtual void casacore::StManColumn::getArrayuIntV | ( | uInt | rownr,
|  | Array< uInt > * | dataPtr )

protected virtual

## getArrayuShortV()

virtual void casacore::StManColumn::getArrayuShortV | ( | uInt | rownr,
|  | Array< uShort > * | dataPtr )

protected virtual

## getArrayV()

virtual void casacore::StManColumn::getArrayV | ( | rownr_t | rownr,
|  | ArrayBase & | dataPtr )

virtual

Get the array value in the given row.

The argument dataPtr is in fact an Array<T>&, but a ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn get function). The default implementation calls the appropriate getArrayXXV.

Reimplemented from casacore::DataManagerColumn.

Reimplemented in casacore::SiscoStManColumn, and casacore::UvwStManColumn.

## getBool()

virtual void casacore::StManColumn::getBool | ( | rownr_t | rownr,
|  | Bool * | dataPtr )

virtual

Get the scalar value in the given row.

Reimplemented from casacore::DataManagerColumn.

## getBoolV()

virtual void casacore::StManColumn::getBoolV | ( | uInt | rownr,
|  | Bool * | dataPtr )

protected virtual

Get the scalar value in the given row.

## getColumnSliceBoolV()

virtual void casacore::StManColumn::getColumnSliceBoolV | ( | const Slicer & | ns,
|  | Array< Bool > * | dataPtr )

protected virtual

Get the array values in the entire column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn getColumn function). The default implementations call DataManagerColumn::getColumnSliceBase.

## getColumnSliceCellsBoolV()

virtual void casacore::StManColumn::getColumnSliceCellsBoolV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< Bool > * | dataPtr )

protected virtual

Get the array values in some cells of the column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn getColumnCells function). The default implementations call DataManagerColumn::getColumnSliceCellsBase.

## getColumnSliceCellsComplexV()

virtual void casacore::StManColumn::getColumnSliceCellsComplexV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< Complex > * | dataPtr )

protected virtual

## getColumnSliceCellsDComplexV()

virtual void casacore::StManColumn::getColumnSliceCellsDComplexV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< DComplex > * | dataPtr )

protected virtual

## getColumnSliceCellsdoubleV()

virtual void casacore::StManColumn::getColumnSliceCellsdoubleV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< double > * | dataPtr )

protected virtual

## getColumnSliceCellsfloatV()

virtual void casacore::StManColumn::getColumnSliceCellsfloatV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< float > * | dataPtr )

protected virtual

## getColumnSliceCellsInt64V()

virtual void casacore::StManColumn::getColumnSliceCellsInt64V | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< Int64 > * | dataPtr )

protected virtual

## getColumnSliceCellsIntV()

virtual void casacore::StManColumn::getColumnSliceCellsIntV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< Int > * | dataPtr )

protected virtual

## getColumnSliceCellsShortV()

virtual void casacore::StManColumn::getColumnSliceCellsShortV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< Short > * | dataPtr )

protected virtual

## getColumnSliceCellsStringV()

virtual void casacore::StManColumn::getColumnSliceCellsStringV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< String > * | dataPtr )

protected virtual

## getColumnSliceCellsuCharV()

virtual void casacore::StManColumn::getColumnSliceCellsuCharV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< uChar > * | dataPtr )

protected virtual

## getColumnSliceCellsuIntV()

virtual void casacore::StManColumn::getColumnSliceCellsuIntV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< uInt > * | dataPtr )

protected virtual

## getColumnSliceCellsuShortV()

virtual void casacore::StManColumn::getColumnSliceCellsuShortV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | Array< uShort > * | dataPtr )

protected virtual

## getColumnSliceCellsV()

virtual void casacore::StManColumn::getColumnSliceCellsV | ( | const RefRows & | rownrs,
|  | const Slicer & | slicer,
|  | ArrayBase & | dataPtr )

virtual

Get a section of some arrays in the column.

The argument dataPtr is in fact an Array<T>&, but a ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn getColumn function). The default implementation calls the appropriate getColumnSliceCellsXXV.

Reimplemented from casacore::DataManagerColumn.

## getColumnSliceComplexV()

virtual void casacore::StManColumn::getColumnSliceComplexV | ( | const Slicer & | ns,
|  | Array< Complex > * | dataPtr )

protected virtual

## getColumnSliceDComplexV()

virtual void casacore::StManColumn::getColumnSliceDComplexV | ( | const Slicer & | ns,
|  | Array< DComplex > * | dataPtr )

protected virtual

## getColumnSlicedoubleV()

virtual void casacore::StManColumn::getColumnSlicedoubleV | ( | const Slicer & | ns,
|  | Array< double > * | dataPtr )

protected virtual

## getColumnSlicefloatV()

virtual void casacore::StManColumn::getColumnSlicefloatV | ( | const Slicer & | ns,
|  | Array< float > * | dataPtr )

protected virtual

## getColumnSliceInt64V()

virtual void casacore::StManColumn::getColumnSliceInt64V | ( | const Slicer & | ns,
|  | Array< Int64 > * | dataPtr )

protected virtual

## getColumnSliceIntV()

virtual void casacore::StManColumn::getColumnSliceIntV | ( | const Slicer & | ns,
|  | Array< Int > * | dataPtr )

protected virtual

## getColumnSliceShortV()

virtual void casacore::StManColumn::getColumnSliceShortV | ( | const Slicer & | ns,
|  | Array< Short > * | dataPtr )

protected virtual

## getColumnSliceStringV()

virtual void casacore::StManColumn::getColumnSliceStringV | ( | const Slicer & | ns,
|  | Array< String > * | dataPtr )

protected virtual

## getColumnSliceuCharV()

virtual void casacore::StManColumn::getColumnSliceuCharV | ( | const Slicer & | ns,
|  | Array< uChar > * | dataPtr )

protected virtual

## getColumnSliceuIntV()

virtual void casacore::StManColumn::getColumnSliceuIntV | ( | const Slicer & | ns,
|  | Array< uInt > * | dataPtr )

protected virtual

## getColumnSliceuShortV()

virtual void casacore::StManColumn::getColumnSliceuShortV | ( | const Slicer & | ns,
|  | Array< uShort > * | dataPtr )

protected virtual

## getColumnSliceV()

virtual void casacore::StManColumn::getColumnSliceV | ( | const Slicer & | slicer,
|  | ArrayBase & | dataPtr )

virtual

Get a section of all arrays in the column.

The argument dataPtr is in fact an Array<T>&, but a ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn getColumn function). The default implementation calls the appropriate getColumnSliceXXV.

Reimplemented from casacore::DataManagerColumn.

## getComplex()

virtual void casacore::StManColumn::getComplex | ( | rownr_t | rownr,
|  | Complex * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getComplexV()

virtual void casacore::StManColumn::getComplexV | ( | uInt | rownr,
|  | Complex * | dataPtr )

protected virtual

## getDComplex()

virtual void casacore::StManColumn::getDComplex | ( | rownr_t | rownr,
|  | DComplex * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getDComplexV()

virtual void casacore::StManColumn::getDComplexV | ( | uInt | rownr,
|  | DComplex * | dataPtr )

protected virtual

## getdouble()

virtual void casacore::StManColumn::getdouble | ( | rownr_t | rownr,
|  | double * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getdoubleV()

virtual void casacore::StManColumn::getdoubleV | ( | uInt | rownr,
|  | double * | dataPtr )

protected virtual

## getfloat()

virtual void casacore::StManColumn::getfloat | ( | rownr_t | rownr,
|  | float * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getfloatV()

virtual void casacore::StManColumn::getfloatV | ( | uInt | rownr,
|  | float * | dataPtr )

protected virtual

## getInt()

virtual void casacore::StManColumn::getInt | ( | rownr_t | rownr,
|  | Int * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

Reimplemented in casacore::AntennaPairStManColumn.

## getIntV()

virtual void casacore::StManColumn::getIntV | ( | uInt | rownr,
|  | Int * | dataPtr )

protected virtual

## getScalarColumnBoolV()

virtual void casacore::StManColumn::getScalarColumnBoolV | ( | Vector< Bool > * | dataPtr | ) |

protected virtual

Get the scalar values in the entire column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ScalarColumn getColumn function). The default implementations calls DataManagerColumn::getScalarColumnBase.

## getScalarColumnCellsBoolV()

virtual void casacore::StManColumn::getScalarColumnCellsBoolV | ( | const RefRows & | rownrs,
|  | Vector< Bool > * | dataPtr )

protected virtual

Get the scalar values in some cells of the column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ScalarColumn getColumnCells function). The default implementations call DataManagerColumn::getScalarColumnCellsBase.

## getScalarColumnCellsComplexV()

virtual void casacore::StManColumn::getScalarColumnCellsComplexV | ( | const RefRows & | rownrs,
|  | Vector< Complex > * | dataPtr )

protected virtual

## getScalarColumnCellsDComplexV()

virtual void casacore::StManColumn::getScalarColumnCellsDComplexV | ( | const RefRows & | rownrs,
|  | Vector< DComplex > * | dataPtr )

protected virtual

## getScalarColumnCellsdoubleV()

virtual void casacore::StManColumn::getScalarColumnCellsdoubleV | ( | const RefRows & | rownrs,
|  | Vector< double > * | dataPtr )

protected virtual

## getScalarColumnCellsfloatV()

virtual void casacore::StManColumn::getScalarColumnCellsfloatV | ( | const RefRows & | rownrs,
|  | Vector< float > * | dataPtr )

protected virtual

## getScalarColumnCellsInt64V()

virtual void casacore::StManColumn::getScalarColumnCellsInt64V | ( | const RefRows & | rownrs,
|  | Vector< Int64 > * | dataPtr )

protected virtual

## getScalarColumnCellsIntV()

virtual void casacore::StManColumn::getScalarColumnCellsIntV | ( | const RefRows & | rownrs,
|  | Vector< Int > * | dataPtr )

protected virtual

## getScalarColumnCellsShortV()

virtual void casacore::StManColumn::getScalarColumnCellsShortV | ( | const RefRows & | rownrs,
|  | Vector< Short > * | dataPtr )

protected virtual

## getScalarColumnCellsStringV()

virtual void casacore::StManColumn::getScalarColumnCellsStringV | ( | const RefRows & | rownrs,
|  | Vector< String > * | dataPtr )

protected virtual

## getScalarColumnCellsuCharV()

virtual void casacore::StManColumn::getScalarColumnCellsuCharV | ( | const RefRows & | rownrs,
|  | Vector< uChar > * | dataPtr )

protected virtual

## getScalarColumnCellsuIntV()

virtual void casacore::StManColumn::getScalarColumnCellsuIntV | ( | const RefRows & | rownrs,
|  | Vector< uInt > * | dataPtr )

protected virtual

## getScalarColumnCellsuShortV()

virtual void casacore::StManColumn::getScalarColumnCellsuShortV | ( | const RefRows & | rownrs,
|  | Vector< uShort > * | dataPtr )

protected virtual

## getScalarColumnCellsV()

virtual void casacore::StManColumn::getScalarColumnCellsV | ( | const RefRows & | rownrs,
|  | ArrayBase & | dataPtr )

virtual

Get some scalar values in the column.

The argument dataPtr is in fact a Vector<T>&, but an ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ScalarColumn getColumn function). The default implementation calls the appropriate getScalarColumnCellsXXV.

Reimplemented from casacore::DataManagerColumn.

## getScalarColumnComplexV()

virtual void casacore::StManColumn::getScalarColumnComplexV | ( | Vector< Complex > * | dataPtr | ) |

protected virtual

## getScalarColumnDComplexV()

virtual void casacore::StManColumn::getScalarColumnDComplexV | ( | Vector< DComplex > * | dataPtr | ) |

protected virtual

## getScalarColumndoubleV()

virtual void casacore::StManColumn::getScalarColumndoubleV | ( | Vector< double > * | dataPtr | ) |

protected virtual

## getScalarColumnfloatV()

virtual void casacore::StManColumn::getScalarColumnfloatV | ( | Vector< float > * | dataPtr | ) |

protected virtual

## getScalarColumnInt64V()

virtual void casacore::StManColumn::getScalarColumnInt64V | ( | Vector< Int64 > * | dataPtr | ) |

protected virtual

## getScalarColumnIntV()

virtual void casacore::StManColumn::getScalarColumnIntV | ( | Vector< Int > * | dataPtr | ) |

protected virtual

## getScalarColumnShortV()

virtual void casacore::StManColumn::getScalarColumnShortV | ( | Vector< Short > * | dataPtr | ) |

protected virtual

## getScalarColumnStringV()

virtual void casacore::StManColumn::getScalarColumnStringV | ( | Vector< String > * | dataPtr | ) |

protected virtual

## getScalarColumnuCharV()

virtual void casacore::StManColumn::getScalarColumnuCharV | ( | Vector< uChar > * | dataPtr | ) |

protected virtual

## getScalarColumnuIntV()

virtual void casacore::StManColumn::getScalarColumnuIntV | ( | Vector< uInt > * | dataPtr | ) |

protected virtual

## getScalarColumnuShortV()

virtual void casacore::StManColumn::getScalarColumnuShortV | ( | Vector< uShort > * | dataPtr | ) |

protected virtual

## getScalarColumnV()

virtual void casacore::StManColumn::getScalarColumnV | ( | ArrayBase & | dataPtr | ) |

virtual

Get all scalar values in the column.

The argument dataPtr is in fact a Vector<T>&, but an ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ScalarColumn getColumn function). The default implementation calls the appropriate getScalarColumnXXV.

Reimplemented from casacore::DataManagerColumn.

## getShort()

virtual void casacore::StManColumn::getShort | ( | rownr_t | rownr,
|  | Short * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getShortV()

virtual void casacore::StManColumn::getShortV | ( | uInt | rownr,
|  | Short * | dataPtr )

protected virtual

## getSliceBoolV()

virtual void casacore::StManColumn::getSliceBoolV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< Bool > * | dataPtr )

protected virtual

Get the array value in the given row.

The array pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn getSlice function). The default implementations call DataManagerColumn::getSliceBase.

## getSliceComplexV()

virtual void casacore::StManColumn::getSliceComplexV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< Complex > * | dataPtr )

protected virtual

## getSliceDComplexV()

virtual void casacore::StManColumn::getSliceDComplexV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< DComplex > * | dataPtr )

protected virtual

## getSlicedoubleV()

virtual void casacore::StManColumn::getSlicedoubleV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< double > * | dataPtr )

protected virtual

## getSlicefloatV()

virtual void casacore::StManColumn::getSlicefloatV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< float > * | dataPtr )

protected virtual

## getSliceInt64V()

virtual void casacore::StManColumn::getSliceInt64V | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< Int64 > * | dataPtr )

protected virtual

## getSliceIntV()

virtual void casacore::StManColumn::getSliceIntV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< Int > * | dataPtr )

protected virtual

## getSliceShortV()

virtual void casacore::StManColumn::getSliceShortV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< Short > * | dataPtr )

protected virtual

## getSliceStringV()

virtual void casacore::StManColumn::getSliceStringV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< String > * | dataPtr )

protected virtual

## getSliceuCharV()

virtual void casacore::StManColumn::getSliceuCharV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< uChar > * | dataPtr )

protected virtual

## getSliceuIntV()

virtual void casacore::StManColumn::getSliceuIntV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< uInt > * | dataPtr )

protected virtual

## getSliceuShortV()

virtual void casacore::StManColumn::getSliceuShortV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | Array< uShort > * | dataPtr )

protected virtual

## getSliceV()

virtual void casacore::StManColumn::getSliceV | ( | rownr_t | rownr,
|  | const Slicer & | slicer,
|  | ArrayBase & | dataPtr )

virtual

Get a section of the array in the given row.

The argument dataPtr is in fact an Array<T>&, but a ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn getSlice function). The default implementation calls the appropriate getSliceXXV.

Reimplemented from casacore::DataManagerColumn.

## getString()

virtual void casacore::StManColumn::getString | ( | rownr_t | rownr,
|  | String * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getStringV()

virtual void casacore::StManColumn::getStringV | ( | uInt | rownr,
|  | String * | dataPtr )

protected virtual

## getuChar()

virtual void casacore::StManColumn::getuChar | ( | rownr_t | rownr,
|  | uChar * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getuCharV()

virtual void casacore::StManColumn::getuCharV | ( | uInt | rownr,
|  | uChar * | dataPtr )

protected virtual

## getuInt()

virtual void casacore::StManColumn::getuInt | ( | rownr_t | rownr,
|  | uInt * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getuIntV()

virtual void casacore::StManColumn::getuIntV | ( | uInt | rownr,
|  | uInt * | dataPtr )

protected virtual

## getuShort()

virtual void casacore::StManColumn::getuShort | ( | rownr_t | rownr,
|  | uShort * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## getuShortV()

virtual void casacore::StManColumn::getuShortV | ( | uInt | rownr,
|  | uShort * | dataPtr )

protected virtual

## isShapeDefined() [1/2]

virtual Bool casacore::StManColumn::isShapeDefined | ( | rownr_t | rownr | ) |

virtual

Is the value shape defined in the given row?

By default it returns True.

Reimplemented from casacore::DataManagerColumn.

Reimplemented in casacore::SiscoStManColumn.

## isShapeDefined() [2/2]

virtual Bool casacore::StManColumn::isShapeDefined | ( | uInt | rownr | ) |

virtual

## ndim() [1/2]

virtual uInt casacore::StManColumn::ndim | ( | rownr_t | rownr | ) |

virtual

Get the dimensionality of the item in the given row.

By default it returns shape(rownr).nelements().

Reimplemented from casacore::DataManagerColumn.

## ndim() [2/2]

virtual uInt casacore::StManColumn::ndim | ( | uInt | rownr | ) |

virtual

## operator=()

StManColumn & casacore::StManColumn::operator= | ( | const StManColumn & |  | ) |

delete

The object cannot be assigned to.

References StManColumn().

## putArrayBoolV()

virtual void casacore::StManColumn::putArrayBoolV | ( | uInt | rownr,
|  | const Array< Bool > * | dataPtr )

protected virtual

Put the array value into the given row.

The buffer pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn put function). The default implementations throw an exception.

Reimplemented in casacore::StokesIStManColumn.

## putArrayColumnBoolV()

virtual void casacore::StManColumn::putArrayColumnBoolV | ( | const Array< Bool > * | dataPtr | ) |

protected virtual

Put the array values into the entire column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn putColumn function). The default implementations call DataManagerColumn::putArrayColumnBase.

## putArrayColumnCellsBoolV()

virtual void casacore::StManColumn::putArrayColumnCellsBoolV | ( | const RefRows & | rownrs,
|  | const Array< Bool > * | dataPtr )

protected virtual

Put the array values into some cells of the column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn putColumnCells function). The default implementations call DataManagerColumn::putArrayColumnCellsBase.

## putArrayColumnCellsComplexV()

virtual void casacore::StManColumn::putArrayColumnCellsComplexV | ( | const RefRows & | rownrs,
|  | const Array< Complex > * | dataPtr )

protected virtual

## putArrayColumnCellsDComplexV()

virtual void casacore::StManColumn::putArrayColumnCellsDComplexV | ( | const RefRows & | rownrs,
|  | const Array< DComplex > * | dataPtr )

protected virtual

## putArrayColumnCellsdoubleV()

virtual void casacore::StManColumn::putArrayColumnCellsdoubleV | ( | const RefRows & | rownrs,
|  | const Array< double > * | dataPtr )

protected virtual

## putArrayColumnCellsfloatV()

virtual void casacore::StManColumn::putArrayColumnCellsfloatV | ( | const RefRows & | rownrs,
|  | const Array< float > * | dataPtr )

protected virtual

## putArrayColumnCellsInt64V()

virtual void casacore::StManColumn::putArrayColumnCellsInt64V | ( | const RefRows & | rownrs,
|  | const Array< Int64 > * | dataPtr )

protected virtual

## putArrayColumnCellsIntV()

virtual void casacore::StManColumn::putArrayColumnCellsIntV | ( | const RefRows & | rownrs,
|  | const Array< Int > * | dataPtr )

protected virtual

## putArrayColumnCellsShortV()

virtual void casacore::StManColumn::putArrayColumnCellsShortV | ( | const RefRows & | rownrs,
|  | const Array< Short > * | dataPtr )

protected virtual

## putArrayColumnCellsStringV()

virtual void casacore::StManColumn::putArrayColumnCellsStringV | ( | const RefRows & | rownrs,
|  | const Array< String > * | dataPtr )

protected virtual

## putArrayColumnCellsuCharV()

virtual void casacore::StManColumn::putArrayColumnCellsuCharV | ( | const RefRows & | rownrs,
|  | const Array< uChar > * | dataPtr )

protected virtual

## putArrayColumnCellsuIntV()

virtual void casacore::StManColumn::putArrayColumnCellsuIntV | ( | const RefRows & | rownrs,
|  | const Array< uInt > * | dataPtr )

protected virtual

## putArrayColumnCellsuShortV()

virtual void casacore::StManColumn::putArrayColumnCellsuShortV | ( | const RefRows & | rownrs,
|  | const Array< uShort > * | dataPtr )

protected virtual

## putArrayColumnCellsV()

virtual void casacore::StManColumn::putArrayColumnCellsV | ( | const RefRows & | rownrs,
|  | const ArrayBase & | dataPtr )

virtual

Put some array values in the column.

The argument dataPtr is in fact an const Array<T>&, but a const ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn getColumn function). The default implementation calls the appropriate putArrayColumnCellsXXV.

Reimplemented from casacore::DataManagerColumn.

## putArrayColumnComplexV()

virtual void casacore::StManColumn::putArrayColumnComplexV | ( | const Array< Complex > * | dataPtr | ) |

protected virtual

## putArrayColumnDComplexV()

virtual void casacore::StManColumn::putArrayColumnDComplexV | ( | const Array< DComplex > * | dataPtr | ) |

protected virtual

## putArrayColumndoubleV()

virtual void casacore::StManColumn::putArrayColumndoubleV | ( | const Array< double > * | dataPtr | ) |

protected virtual

## putArrayColumnfloatV()

virtual void casacore::StManColumn::putArrayColumnfloatV | ( | const Array< float > * | dataPtr | ) |

protected virtual

## putArrayColumnInt64V()

virtual void casacore::StManColumn::putArrayColumnInt64V | ( | const Array< Int64 > * | dataPtr | ) |

protected virtual

## putArrayColumnIntV()

virtual void casacore::StManColumn::putArrayColumnIntV | ( | const Array< Int > * | dataPtr | ) |

protected virtual

## putArrayColumnShortV()

virtual void casacore::StManColumn::putArrayColumnShortV | ( | const Array< Short > * | dataPtr | ) |

protected virtual

## putArrayColumnStringV()

virtual void casacore::StManColumn::putArrayColumnStringV | ( | const Array< String > * | dataPtr | ) |

protected virtual

## putArrayColumnuCharV()

virtual void casacore::StManColumn::putArrayColumnuCharV | ( | const Array< uChar > * | dataPtr | ) |

protected virtual

## putArrayColumnuIntV()

virtual void casacore::StManColumn::putArrayColumnuIntV | ( | const Array< uInt > * | dataPtr | ) |

protected virtual

## putArrayColumnuShortV()

virtual void casacore::StManColumn::putArrayColumnuShortV | ( | const Array< uShort > * | dataPtr | ) |

protected virtual

## putArrayColumnV()

virtual void casacore::StManColumn::putArrayColumnV | ( | const ArrayBase & | dataPtr | ) |

virtual

Put all array values in the column.

The argument dataPtr is in fact a const Array<T>&, but a const ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn putColumn function). The default implementation calls the appropriate putArrayColumnXXV.

Reimplemented from casacore::DataManagerColumn.

## putArrayComplexV()

virtual void casacore::StManColumn::putArrayComplexV | ( | uInt | rownr,
|  | const Array< Complex > * | dataPtr )

protected virtual

## putArrayDComplexV()

virtual void casacore::StManColumn::putArrayDComplexV | ( | uInt | rownr,
|  | const Array< DComplex > * | dataPtr )

protected virtual

## putArraydoubleV()

virtual void casacore::StManColumn::putArraydoubleV | ( | uInt | rownr,
|  | const Array< double > * | dataPtr )

protected virtual

Reimplemented in casacore::StokesIStManColumn.

## putArrayfloatV()

virtual void casacore::StManColumn::putArrayfloatV | ( | uInt | rownr,
|  | const Array< float > * | dataPtr )

protected virtual

Reimplemented in casacore::StokesIStManColumn.

## putArrayInt64V()

virtual void casacore::StManColumn::putArrayInt64V | ( | uInt | rownr,
|  | const Array< Int64 > * | dataPtr )

protected virtual

## putArrayIntV()

virtual void casacore::StManColumn::putArrayIntV | ( | uInt | rownr,
|  | const Array< Int > * | dataPtr )

protected virtual

## putArrayShortV()

virtual void casacore::StManColumn::putArrayShortV | ( | uInt | rownr,
|  | const Array< Short > * | dataPtr )

protected virtual

## putArrayStringV()

virtual void casacore::StManColumn::putArrayStringV | ( | uInt | rownr,
|  | const Array< String > * | dataPtr )

protected virtual

## putArrayuCharV()

virtual void casacore::StManColumn::putArrayuCharV | ( | uInt | rownr,
|  | const Array< uChar > * | dataPtr )

protected virtual

## putArrayuIntV()

virtual void casacore::StManColumn::putArrayuIntV | ( | uInt | rownr,
|  | const Array< uInt > * | dataPtr )

protected virtual

## putArrayuShortV()

virtual void casacore::StManColumn::putArrayuShortV | ( | uInt | rownr,
|  | const Array< uShort > * | dataPtr )

protected virtual

## putArrayV()

virtual void casacore::StManColumn::putArrayV | ( | rownr_t | rownr,
|  | const ArrayBase & | dataPtr )

virtual

Put the array value into the given row.

The argument dataPtr is in fact a const Array<T>&, but a const ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn put function). The default implementation calls the appropriate putArrayXXV.

Reimplemented from casacore::DataManagerColumn.

Reimplemented in casacore::SiscoStManColumn, and casacore::UvwStManColumn.

## putBool()

virtual void casacore::StManColumn::putBool | ( | rownr_t | rownr,
|  | const Bool * | dataPtr )

virtual

Put the scalar value in the given row.

Reimplemented from casacore::DataManagerColumn.

## putBoolV()

virtual void casacore::StManColumn::putBoolV | ( | uInt | rownr,
|  | const Bool * | dataPtr )

protected virtual

Put the scalar value in the given row.

## putColumnSliceBoolV()

virtual void casacore::StManColumn::putColumnSliceBoolV | ( | const Slicer & | ns,
|  | const Array< Bool > * | dataPtr )

protected virtual

Put the array values into the entire column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn putColumn function). The default implementations call DataManagerColumn::putColumnSliceBase.

## putColumnSliceCellsBoolV()

virtual void casacore::StManColumn::putColumnSliceCellsBoolV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< Bool > * | dataPtr )

protected virtual

Put the array values into some cells of the column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ArrayColumn putColumnSlice function). The default implementations call DataManagerColumn::putColumnSliceCellsBase.

## putColumnSliceCellsComplexV()

virtual void casacore::StManColumn::putColumnSliceCellsComplexV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< Complex > * | dataPtr )

protected virtual

## putColumnSliceCellsDComplexV()

virtual void casacore::StManColumn::putColumnSliceCellsDComplexV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< DComplex > * | dataPtr )

protected virtual

## putColumnSliceCellsdoubleV()

virtual void casacore::StManColumn::putColumnSliceCellsdoubleV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< double > * | dataPtr )

protected virtual

## putColumnSliceCellsfloatV()

virtual void casacore::StManColumn::putColumnSliceCellsfloatV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< float > * | dataPtr )

protected virtual

## putColumnSliceCellsInt64V()

virtual void casacore::StManColumn::putColumnSliceCellsInt64V | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< Int64 > * | dataPtr )

protected virtual

## putColumnSliceCellsIntV()

virtual void casacore::StManColumn::putColumnSliceCellsIntV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< Int > * | dataPtr )

protected virtual

## putColumnSliceCellsShortV()

virtual void casacore::StManColumn::putColumnSliceCellsShortV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< Short > * | dataPtr )

protected virtual

## putColumnSliceCellsStringV()

virtual void casacore::StManColumn::putColumnSliceCellsStringV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< String > * | dataPtr )

protected virtual

## putColumnSliceCellsuCharV()

virtual void casacore::StManColumn::putColumnSliceCellsuCharV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< uChar > * | dataPtr )

protected virtual

## putColumnSliceCellsuIntV()

virtual void casacore::StManColumn::putColumnSliceCellsuIntV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< uInt > * | dataPtr )

protected virtual

## putColumnSliceCellsuShortV()

virtual void casacore::StManColumn::putColumnSliceCellsuShortV | ( | const RefRows & | rownrs,
|  | const Slicer & | ns,
|  | const Array< uShort > * | dataPtr )

protected virtual

## putColumnSliceCellsV()

virtual void casacore::StManColumn::putColumnSliceCellsV | ( | const RefRows & | rownrs,
|  | const Slicer & | slicer,
|  | const ArrayBase & | dataPtr )

virtual

Put into a section of some arrays in the column.

The argument dataPtr is in fact a const Array<T>&, but a const ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn putColumn function). The default implementation calls the appropriate putColumnSliceCellsXXV.

Reimplemented from casacore::DataManagerColumn.

## putColumnSliceComplexV()

virtual void casacore::StManColumn::putColumnSliceComplexV | ( | const Slicer & | ns,
|  | const Array< Complex > * | dataPtr )

protected virtual

## putColumnSliceDComplexV()

virtual void casacore::StManColumn::putColumnSliceDComplexV | ( | const Slicer & | ns,
|  | const Array< DComplex > * | dataPtr )

protected virtual

## putColumnSlicedoubleV()

virtual void casacore::StManColumn::putColumnSlicedoubleV | ( | const Slicer & | ns,
|  | const Array< double > * | dataPtr )

protected virtual

## putColumnSlicefloatV()

virtual void casacore::StManColumn::putColumnSlicefloatV | ( | const Slicer & | ns,
|  | const Array< float > * | dataPtr )

protected virtual

## putColumnSliceInt64V()

virtual void casacore::StManColumn::putColumnSliceInt64V | ( | const Slicer & | ns,
|  | const Array< Int64 > * | dataPtr )

protected virtual

## putColumnSliceIntV()

virtual void casacore::StManColumn::putColumnSliceIntV | ( | const Slicer & | ns,
|  | const Array< Int > * | dataPtr )

protected virtual

## putColumnSliceShortV()

virtual void casacore::StManColumn::putColumnSliceShortV | ( | const Slicer & | ns,
|  | const Array< Short > * | dataPtr )

protected virtual

## putColumnSliceStringV()

virtual void casacore::StManColumn::putColumnSliceStringV | ( | const Slicer & | ns,
|  | const Array< String > * | dataPtr )

protected virtual

## putColumnSliceuCharV()

virtual void casacore::StManColumn::putColumnSliceuCharV | ( | const Slicer & | ns,
|  | const Array< uChar > * | dataPtr )

protected virtual

## putColumnSliceuIntV()

virtual void casacore::StManColumn::putColumnSliceuIntV | ( | const Slicer & | ns,
|  | const Array< uInt > * | dataPtr )

protected virtual

## putColumnSliceuShortV()

virtual void casacore::StManColumn::putColumnSliceuShortV | ( | const Slicer & | ns,
|  | const Array< uShort > * | dataPtr )

protected virtual

## putColumnSliceV()

virtual void casacore::StManColumn::putColumnSliceV | ( | const Slicer & | slicer,
|  | const ArrayBase & | dataPtr )

virtual

Put into a section of all arrays in the column.

The argument dataPtr is in fact a const Array<T>&, but a const ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn putColumn function). The default implementation calls the appropriate putColumnSliceXXV.

Reimplemented from casacore::DataManagerColumn.

## putComplex()

virtual void casacore::StManColumn::putComplex | ( | rownr_t | rownr,
|  | const Complex * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putComplexV()

virtual void casacore::StManColumn::putComplexV | ( | uInt | rownr,
|  | const Complex * | dataPtr )

protected virtual

## putDComplex()

virtual void casacore::StManColumn::putDComplex | ( | rownr_t | rownr,
|  | const DComplex * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putDComplexV()

virtual void casacore::StManColumn::putDComplexV | ( | uInt | rownr,
|  | const DComplex * | dataPtr )

protected virtual

## putdouble()

virtual void casacore::StManColumn::putdouble | ( | rownr_t | rownr,
|  | const double * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putdoubleV()

virtual void casacore::StManColumn::putdoubleV | ( | uInt | rownr,
|  | const double * | dataPtr )

protected virtual

## putfloat()

virtual void casacore::StManColumn::putfloat | ( | rownr_t | rownr,
|  | const float * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putfloatV()

virtual void casacore::StManColumn::putfloatV | ( | uInt | rownr,
|  | const float * | dataPtr )

protected virtual

## putInt()

virtual void casacore::StManColumn::putInt | ( | rownr_t | rownr,
|  | const Int * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

Reimplemented in casacore::AntennaPairStManColumn.

## putIntV()

virtual void casacore::StManColumn::putIntV | ( | uInt | rownr,
|  | const Int * | dataPtr )

protected virtual

## putScalarColumnBoolV()

virtual void casacore::StManColumn::putScalarColumnBoolV | ( | const Vector< Bool > * | dataPtr | ) |

protected virtual

Put the scalar values into the entire column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ScalarColumn putColumn function). The default implementations calls DataManagerColumn::putScalarColumnBase.

## putScalarColumnCellsBoolV()

virtual void casacore::StManColumn::putScalarColumnCellsBoolV | ( | const RefRows & | rownrs,
|  | const Vector< Bool > * | dataPtr )

protected virtual

Put the scalar values into some cells of the column.

The buffer pointed to by dataPtr has to have the correct length. (which is guaranteed by the ScalarColumn putColumnCells function). The default implementations call DataManagerColumn::putScalarColumnCellsBase.

## putScalarColumnCellsComplexV()

virtual void casacore::StManColumn::putScalarColumnCellsComplexV | ( | const RefRows & | rownrs,
|  | const Vector< Complex > * | dataPtr )

protected virtual

## putScalarColumnCellsDComplexV()

virtual void casacore::StManColumn::putScalarColumnCellsDComplexV | ( | const RefRows & | rownrs,
|  | const Vector< DComplex > * | dataPtr )

protected virtual

## putScalarColumnCellsdoubleV()

virtual void casacore::StManColumn::putScalarColumnCellsdoubleV | ( | const RefRows & | rownrs,
|  | const Vector< double > * | dataPtr )

protected virtual

## putScalarColumnCellsfloatV()

virtual void casacore::StManColumn::putScalarColumnCellsfloatV | ( | const RefRows & | rownrs,
|  | const Vector< float > * | dataPtr )

protected virtual

## putScalarColumnCellsInt64V()

virtual void casacore::StManColumn::putScalarColumnCellsInt64V | ( | const RefRows & | rownrs,
|  | const Vector< Int64 > * | dataPtr )

protected virtual

## putScalarColumnCellsIntV()

virtual void casacore::StManColumn::putScalarColumnCellsIntV | ( | const RefRows & | rownrs,
|  | const Vector< Int > * | dataPtr )

protected virtual

## putScalarColumnCellsShortV()

virtual void casacore::StManColumn::putScalarColumnCellsShortV | ( | const RefRows & | rownrs,
|  | const Vector< Short > * | dataPtr )

protected virtual

## putScalarColumnCellsStringV()

virtual void casacore::StManColumn::putScalarColumnCellsStringV | ( | const RefRows & | rownrs,
|  | const Vector< String > * | dataPtr )

protected virtual

## putScalarColumnCellsuCharV()

virtual void casacore::StManColumn::putScalarColumnCellsuCharV | ( | const RefRows & | rownrs,
|  | const Vector< uChar > * | dataPtr )

protected virtual

## putScalarColumnCellsuIntV()

virtual void casacore::StManColumn::putScalarColumnCellsuIntV | ( | const RefRows & | rownrs,
|  | const Vector< uInt > * | dataPtr )

protected virtual

## putScalarColumnCellsuShortV()

virtual void casacore::StManColumn::putScalarColumnCellsuShortV | ( | const RefRows & | rownrs,
|  | const Vector< uShort > * | dataPtr )

protected virtual

## putScalarColumnCellsV()

virtual void casacore::StManColumn::putScalarColumnCellsV | ( | const RefRows & | rownrs,
|  | const ArrayBase & | dataPtr )

virtual

Put some scalar values in the column.

The argument dataPtr is in fact a const Vector<T>&, but a const ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ScalarColumn getColumn function). The default implementation calls the appropriate putScalarColumnCellsXXV.

Reimplemented from casacore::DataManagerColumn.

## putScalarColumnComplexV()

virtual void casacore::StManColumn::putScalarColumnComplexV | ( | const Vector< Complex > * | dataPtr | ) |

protected virtual

## putScalarColumnDComplexV()

virtual void casacore::StManColumn::putScalarColumnDComplexV | ( | const Vector< DComplex > * | dataPtr | ) |

protected virtual

## putScalarColumndoubleV()

virtual void casacore::StManColumn::putScalarColumndoubleV | ( | const Vector< double > * | dataPtr | ) |

protected virtual

## putScalarColumnfloatV()

virtual void casacore::StManColumn::putScalarColumnfloatV | ( | const Vector< float > * | dataPtr | ) |

protected virtual

## putScalarColumnInt64V()

virtual void casacore::StManColumn::putScalarColumnInt64V | ( | const Vector< Int64 > * | dataPtr | ) |

protected virtual

## putScalarColumnIntV()

virtual void casacore::StManColumn::putScalarColumnIntV | ( | const Vector< Int > * | dataPtr | ) |

protected virtual

## putScalarColumnShortV()

virtual void casacore::StManColumn::putScalarColumnShortV | ( | const Vector< Short > * | dataPtr | ) |

protected virtual

## putScalarColumnStringV()

virtual void casacore::StManColumn::putScalarColumnStringV | ( | const Vector< String > * | dataPtr | ) |

protected virtual

## putScalarColumnuCharV()

virtual void casacore::StManColumn::putScalarColumnuCharV | ( | const Vector< uChar > * | dataPtr | ) |

protected virtual

## putScalarColumnuIntV()

virtual void casacore::StManColumn::putScalarColumnuIntV | ( | const Vector< uInt > * | dataPtr | ) |

protected virtual

## putScalarColumnuShortV()

virtual void casacore::StManColumn::putScalarColumnuShortV | ( | const Vector< uShort > * | dataPtr | ) |

protected virtual

## putScalarColumnV()

virtual void casacore::StManColumn::putScalarColumnV | ( | const ArrayBase & | dataPtr | ) |

virtual

Put all scalar values in the column.

The argument dataPtr is in fact a const Vector<T>&, but a const ArrayBase& is needed to be generic. The vector pointed to by dataPtr has to have the correct length (which is guaranteed by the ScalarColumn putColumn function). The default implementation calls the appropriate putScalarColumnXXV.

Reimplemented from casacore::DataManagerColumn.

## putShort()

virtual void casacore::StManColumn::putShort | ( | rownr_t | rownr,
|  | const Short * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putShortV()

virtual void casacore::StManColumn::putShortV | ( | uInt | rownr,
|  | const Short * | dataPtr )

protected virtual

## putSliceBoolV()

virtual void casacore::StManColumn::putSliceBoolV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< Bool > * | dataPtr )

protected virtual

Put the array value into the given row.

The buffer pointed to by dataPtr has to have the correct length (which is guaranteed by the ArrayColumn putSlice function). The default implementations call DataManagerColumn::putSliceBase.

## putSliceComplexV()

virtual void casacore::StManColumn::putSliceComplexV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< Complex > * | dataPtr )

protected virtual

## putSliceDComplexV()

virtual void casacore::StManColumn::putSliceDComplexV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< DComplex > * | dataPtr )

protected virtual

## putSlicedoubleV()

virtual void casacore::StManColumn::putSlicedoubleV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< double > * | dataPtr )

protected virtual

## putSlicefloatV()

virtual void casacore::StManColumn::putSlicefloatV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< float > * | dataPtr )

protected virtual

## putSliceInt64V()

virtual void casacore::StManColumn::putSliceInt64V | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< Int64 > * | dataPtr )

protected virtual

## putSliceIntV()

virtual void casacore::StManColumn::putSliceIntV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< Int > * | dataPtr )

protected virtual

## putSliceShortV()

virtual void casacore::StManColumn::putSliceShortV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< Short > * | dataPtr )

protected virtual

## putSliceStringV()

virtual void casacore::StManColumn::putSliceStringV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< String > * | dataPtr )

protected virtual

## putSliceuCharV()

virtual void casacore::StManColumn::putSliceuCharV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< uChar > * | dataPtr )

protected virtual

## putSliceuIntV()

virtual void casacore::StManColumn::putSliceuIntV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< uInt > * | dataPtr )

protected virtual

## putSliceuShortV()

virtual void casacore::StManColumn::putSliceuShortV | ( | uInt | rownr,
|  | const Slicer & | ns,
|  | const Array< uShort > * | dataPtr )

protected virtual

## putSliceV()

virtual void casacore::StManColumn::putSliceV | ( | rownr_t | rownr,
|  | const Slicer & | slicer,
|  | const ArrayBase & | dataPtr )

virtual

Put into a section of the array in the given row.

The argument dataPtr is in fact a const Array<T>&, but a const ArrayBase& is needed to be generic. The array pointed to by dataPtr has to have the correct shape (which is guaranteed by the ArrayColumn putSlice function). The default implementation calls the appropriate putSliceXXV.

Reimplemented from casacore::DataManagerColumn.

## putString()

virtual void casacore::StManColumn::putString | ( | rownr_t | rownr,
|  | const String * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putStringV()

virtual void casacore::StManColumn::putStringV | ( | uInt | rownr,
|  | const String * | dataPtr )

protected virtual

## putuChar()

virtual void casacore::StManColumn::putuChar | ( | rownr_t | rownr,
|  | const uChar * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putuCharV()

virtual void casacore::StManColumn::putuCharV | ( | uInt | rownr,
|  | const uChar * | dataPtr )

protected virtual

## putuInt()

virtual void casacore::StManColumn::putuInt | ( | rownr_t | rownr,
|  | const uInt * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putuIntV()

virtual void casacore::StManColumn::putuIntV | ( | uInt | rownr,
|  | const uInt * | dataPtr )

protected virtual

## putuShort()

virtual void casacore::StManColumn::putuShort | ( | rownr_t | rownr,
|  | const uShort * | dataPtr )

virtual

Reimplemented from casacore::DataManagerColumn.

## putuShortV()

virtual void casacore::StManColumn::putuShortV | ( | uInt | rownr,
|  | const uShort * | dataPtr )

protected virtual

## setShape() [1/2]

virtual void casacore::StManColumn::setShape | ( | rownr_t | rownr,
|  | const IPosition & | shape )

virtual

Set the shape of an (variable-shaped) array in the given row.

By default it throws a "not possible" exception.

Reimplemented from casacore::DataManagerColumn.

Reimplemented in casacore::SiscoStManColumn.

References shape().

## setShape() [2/2]

virtual void casacore::StManColumn::setShape | ( | uInt | rownr,
|  | const IPosition & | shape )

virtual

References shape().

## setShapeTiled() [1/2]

virtual void casacore::StManColumn::setShapeTiled | ( | rownr_t | rownr,
|  | const IPosition & | shape,
|  | const IPosition & | tileShape )

virtual

Set the shape and tile shape of an (variable-shaped) array in the given row.

By default it ignores the tile shape (thus only sets the shape).

Reimplemented from casacore::DataManagerColumn.

References shape(), and tileShape().

## setShapeTiled() [2/2]

virtual void casacore::StManColumn::setShapeTiled | ( | uInt | rownr,
|  | const IPosition & | shape,
|  | const IPosition & | tileShape )

virtual

References shape(), and tileShape().

## shape() [1/2]

virtual IPosition casacore::StManColumn::shape | ( | rownr_t | rownr | ) |

virtual

Get the shape of the item in the given row.

By default it returns a zero-length IPosition (for a scalar value).

Reimplemented from casacore::DataManagerColumn.

Reimplemented in casacore::SiscoStManColumn, casacore::StokesIStManColumn, and casacore::UvwStManColumn.

Referenced by setShape(), setShape(), setShapeTiled(), and setShapeTiled().

## shape() [2/2]

virtual IPosition casacore::StManColumn::shape | ( | uInt | rownr | ) |

virtual

Reimplemented in casacore::StokesIStManColumn, and casacore::UvwStManColumn.

## throwInvalidOp()

void casacore::StManColumn::throwInvalidOp | ( | const String & | op | ) | const

private

Throw an "invalid operation" exception for the default implementation of getArray.

## tileShape() [1/2]

virtual IPosition casacore::StManColumn::tileShape | ( | rownr_t | rownr | ) |

virtual

Get the tile shape of the item in the given row.

By default it returns a zero-length IPosition.

Reimplemented from casacore::DataManagerColumn.

Referenced by setShapeTiled(), and setShapeTiled().

## tileShape() [2/2]

virtual IPosition casacore::StManColumn::tileShape | ( | uInt | rownr | ) |

virtual

The documentation for this class was generated from the following file:

- tables/DataMan/StManColumn.h